POST /linehaul/trip

Enables the creation and updating (upsert) of a linehaul trip.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Unique external identifier of the linehaul trip

string
enum

Status of the linehaul trip. Values include pending, started, departedOrigin, arrivedDestination, completed

Allowed:
driverCode
array of strings

An array of driver codes associated with the linehaul trip. A driver code needs to exist in Maven

driverCode
string

External identifier for the vehicle associated with the linehaul trip

manifestNumbers
array of strings

An array of manifest numbers associated with the linehaul trip. A manifest number needs to exist in Maven

manifestNumbers
date-time

Timestamp for the planned start time from the origin in UTC. ISO8601 format

date-time

Timestamp for the planned arrival time to the destination in UTC. ISO8601 format

string

External identifier for the origin location of the linehaul trip. Location needs to exist in Maven

string

External identifier for the destination location of the linehaul trip. Location needs to exist in Maven

string

Used to provide additional instructions to the drivers for the linehaul trip

attributes
object

Additional custom properties of the linehaul trip

Responses
202
400

When a request to upload a linehaul trip fails due to wrong client input

500

Unknown error response from the rest-service.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!